Package com.orchestranetworks.service

# Class InstanceContentSpec

java.lang.Object
com.orchestranetworks.service.InstanceContentSpec

public class InstanceContentSpec extends Object
Specifies the content to export from a dataset.

See Also:
  - `ArchiveExportSpec.addInstance(AdaptationName, InstanceContentSpec)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InstanceContentSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isIncludeAllDescendants()`
  `boolean`
  `isIncludeHeader()`
  `boolean`
  `isIncludeRights()`
  `boolean`
  `isIncludeValues()`
  `void`
  `setIncludeAllDescendants(boolean includeAllDescendants)`
  Specifies whether the descendants of the dataset are to be exported.
  `void`
  `setIncludeHeader(boolean includeHeader)`
  Specifies whether the header content is to be exported.
  `void`
  `setIncludeRights(boolean includeRights)`
  Specifies whether permissions are to be exported.
  `void`
  `setIncludeValues(boolean includeValues)`
  Specifies whether values are to be exported.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InstanceContentSpec

    public InstanceContentSpec()

- ## Method Details

  - ### isIncludeAllDescendants

    public boolean isIncludeAllDescendants()
    See Also:
      - `setIncludeAllDescendants(boolean)`

  - ### setIncludeAllDescendants

    public void setIncludeAllDescendants(boolean includeAllDescendants)
    Specifies whether the descendants of the dataset are to be exported.

    Default value is `false`.

  - ### isIncludeHeader

    public boolean isIncludeHeader()
    See Also:
      - `setIncludeHeader(boolean)`

  - ### setIncludeHeader

    public void setIncludeHeader(boolean includeHeader)
    Specifies whether the header content is to be exported.

    Default value is `true`.

    The header content provides general information about a dataset: the XML Schema Document `location` (for root datasets), localized `labels` and `descriptions`, `activation status`, etc.

  - ### isIncludeRights

    public boolean isIncludeRights()
    See Also:
      - `setIncludeRights(boolean)`

  - ### setIncludeRights

    public void setIncludeRights(boolean includeRights)
    Specifies whether permissions are to be exported.

    Default value is `true`.

    These are the permissions for a dataset (these permissions can be recursively inherited by its child datasets).

  - ### isIncludeValues

    public boolean isIncludeValues()
    See Also:
      - `setIncludeValues(boolean)`

  - ### setIncludeValues

    public void setIncludeValues(boolean includeValues)
    Specifies whether values are to be exported.

    Default value is `true`.

    The values are the "operational" data in EBX®. Their structure is defined by the `underlying data model`.